## bppphyview 0.2.0

=== CMakeLists.txt ===
# CMake script for Bio++ PhyView
# Author: Julien Dutheil
# Created: 22/08/2009

# Global parameters
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
PROJECT(bppphyview CXX C)
IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

SET(CMAKE_CXX_FLAGS "-Wall")
IF(NOT NO_VIRTUAL_COV)
  SET(NO_VIRTUAL_COV FALSE CACHE BOOL
      "Disable covariant return type with virtual inheritance, for compilers that do not support it."
      FORCE)
ENDIF(NOT NO_VIRTUAL_COV)

IF(NO_VIRTUAL_COV)
  MESSAGE("-- Covariant return with virtual inheritance disabled.")
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DNO_VIRTUAL_COV=1")
ENDIF(NO_VIRTUAL_COV)

IF(NOT NO_DEP_CHECK)
  SET(NO_DEP_CHECK FALSE CACHE BOOL
      "Disable dependencies check for building distribution only."
      FORCE)
ENDIF(NOT NO_DEP_CHECK)

IF(NO_DEP_CHECK)
  MESSAGE("-- Dependencies checking disabled. Only distribution can be built.")
ELSE(NO_DEP_CHECK)

#static linkage?
IF(NOT BUILD_STATIC)
  SET(BUILD_STATIC FALSE CACHE BOOL
      "Enable static linkage."
      FORCE)
ENDIF()
IF(BUILD_STATIC)
  MESSAGE("-- Static linkage requested.")
  SET(CMAKE_CXX_FLAGS "-static -static-libgcc ${CMAKE_CXX_FLAGS}")
ENDIF()

#build man pages?
IF(NOT DEFINED MAN)
  SET(MAN UNIX)
ENDIF(NOT DEFINED MAN)

#find executables for documentation
FIND_PROGRAM(NROFF_EXE NAMES nroff)

#here is a useful function:
MACRO(IMPROVED_FIND_LIBRARY OUTPUT_LIBS lib_name include_to_find)
  #start:
  FIND_PATH(${lib_name}_INCLUDE_DIR ${include_to_find})
  INCLUDE_DIRECTORIES(${${lib_name}_INCLUDE_DIR})

  IF(BUILD_STATIC)
    SET(${lib_name}_STATIC_NAMES lib${lib_name}.a)
    FIND_LIBRARY(${lib_name}_STATIC_LIBRARY NAMES ${${lib_name}_STATIC_NAMES} PATH_SUFFIXES lib${LIB_SUFFIX})
    IF(${lib_name}_STATIC_LIBRARY)
      MESSAGE("-- Library ${lib_name} found here:")
      MESSAGE("   includes: ${${lib_name}_INCLUDE_DIR}")
      MESSAGE("   static libraries: ${${lib_name}_STATIC_LIBRARY}")
    ELSE()
      MESSAGE(FATAL_ERROR "${lib_name} required but not found.")
    ENDIF()
    #add the dependency:
    SET(${OUTPUT_LIBS} ${${OUTPUT_LIBS}} ${${lib_name}_STATIC_LIBRARY})
  ELSE()
    SET(${lib_name}_NAMES ${lib_name} ${lib_name}.lib ${lib_name}.dll)
    FIND_LIBRARY(${lib_name}_LIBRARY NAMES ${${lib_name}_NAMES} PATH_SUFFIXES lib${LIB_SUFFIX})
    IF(${lib_name}_LIBRARY)
      MESSAGE("-- Library ${lib_name} found here:")
      MESSAGE("   includes: ${${lib_name}_INCLUDE_DIR}")
      MESSAGE("   dynamic libraries: ${${lib_name}_LIBRARY}")
    ELSE()
      MESSAGE(FATAL_ERROR "${lib_name} required but not found.")
    ENDIF()
    #add the dependency:
    SET(${OUTPUT_LIBS} ${${OUTPUT_LIBS}} ${${lib_name}_LIBRARY})
  ENDIF()
  
ENDMACRO(IMPROVED_FIND_LIBRARY)

# Set the CMAKE_PREFIX_PATH for the find_library fonction when using non
# standard install location
IF(CMAKE_INSTALL_PREFIX)
  SET(CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
ENDIF(CMAKE_INSTALL_PREFIX)

#Find the libraries. The order is very important for static linkage, it won't
#link if you change it!
IMPROVED_FIND_LIBRARY(LIBS bpp-qt Bpp/Qt/QtGraphicDevice.h)
IMPROVED_FIND_LIBRARY(LIBS bpp-phyl Bpp/Phyl/Tree.h)
#Not needed for now:
#IMPROVED_FIND_LIBRARY(LIBS bpp-seq Bpp/Seq/Alphabet/Alphabet.h)
IMPROVED_FIND_LIBRARY(LIBS bpp-core Bpp/Clonable.h)

# Find the Qt installation
FIND_PACKAGE(Qt4 4.4.0 COMPONENTS QtCore QtGui REQUIRED)
INCLUDE(${QT_USE_FILE})
SET(LIBS ${LIBS} ${QT_LIBRARIES})

IF(NROFF_EXE)
  MESSAGE("-- Found nroff here: ${NROFF_EXE}")
  MESSAGE("   Adding targets: man")

  ADD_CUSTOM_TARGET(man
    COMMAND cp phyview.1.txt phyview.1
    COMMAND gzip -f phyview.1
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/man
    )
  SET_DIRECTORY_PROPERTIES(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES man/phyview.1.gz)
ENDIF(NROFF_EXE)

# Subdirectories
ADD_SUBDIRECTORY(bppPhyView)
ADD_SUBDIRECTORY(man)

ENDIF(NO_DEP_CHECK)

# Packager
SET(CPACK_PACKAGE_NAME "bppphyview")
SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
SET(CPACK_PACKAGE_VERSION "0.2.0")
SET(CPACK_PACKAGE_VERSION_MAJOR "0")
SET(CPACK_PACKAGE_VERSION_MINOR "2")
SET(CPACK_PACKAGE_VERSION_PATCH "0")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Phylogenetic Viewer")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")
SET(CPACK_RESOURCE_FILE_INSTALL "${CMAKE_SOURCE_DIR}/INSTALL.txt")
SET(CPACK_SOURCE_GENERATOR "TGZ")
SET(CPACK_SOURCE_IGNORE_FILES
 "CMakeFiles"
 "Makefile"
 "_CPack_Packages"
 "CMakeCache.txt"
 ".*\\\\.cmake"
 ".*\\\\.git"
 ".*\\\\.gz"
 ".*\\\\.deb"
 ".*\\\\.rpm"
 ".*\\\\.dmg"
 ".*\\\\.sh"
 ".*\\\\..*\\\\.swp"
 ".*moc_.*"
 "bppPhyView/\\\\..*"
 "bppPhyView/phyview"
 "man/.*\\\\.1.gz"
 "debian/tmp"
 "debian/bppphyview/"
 "debian/bppphyview\\\\.substvars"
 "debian/bppphyview\\\\.debhelper"
 "debian/debhelper\\\\.log"
 "install_manifest.txt"
 "DartConfiguration.tcl"
 ${CPACK_SOURCE_IGNORE_FILES}
)
IF (MACOS)
  SET(CPACK_GENERATOR "Bundle")
ENDIF()

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET(CPACK_DEBSOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}_${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}.orig")
INCLUDE(CPack)

#This adds the 'dist' target
ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

IF(NOT NO_DEP_CHECK)
IF (UNIX)
#This creates deb packages:
ADD_CUSTOM_TARGET(origdist COMMAND cp ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz ../${CPACK_DEBSOURCE_PACKAGE_FILE_NAME}.tar.gz)
ADD_DEPENDENCIES(origdist dist)
ADD_CUSTOM_TARGET(deb dpkg-buildpackage -uc -us -i${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz)
ADD_DEPENDENCIES(deb origdist)
ADD_DEPENDENCIES(deb man)

#This creates rpm packages:
ADD_CUSTOM_TARGET(rpm rpmbuild -ta ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz)
ADD_DEPENDENCIES(rpm dist man)

#ADD_DEPENDENCIES(info install)
ENDIF(UNIX)

ENDIF(NOT NO_DEP_CHECK)

=== debian/changelog ===
bppphyview (0.2.0-1) unstable; urgency=low

  * RFP: Bio++ -- The Bio++ bioinformatics libraries. (Closes: #616373).
  * Packages are now non-native.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 09 Jun 2011 11:00:00 +0100

bppphyview (0.1.0) unstable; urgency=low

  * Initial release.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 28 Feb 2011 09:00:00 +0100

=== debian/control ===
Source: bppphyview
Section: science
Priority: optional
Maintainer: Loic Dachary <loic@dachary.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>
Build-Depends: debhelper (>= 5), cmake (>= 2.6),
  qt4-qmake (>= 4.6.0), libqt4-dev (>= 4.6.0),
  libbpp-qt-dev (>= 2.0.0)
Standards-Version: 3.9.1

Package: bppphyview
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  libbpp-qt1 (>= 2.0.0), libqtcore4 (>= 4.6.0), libqtgui4 (>= 4.6.0) 
Description: Bio++ Phylogenetic Viewer
 A phylogenetic tree editor developed using Bio++ and Qt.

## bppphyview 0.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -96,8 +96,7 @@
 #link if you change it!
 IMPROVED_FIND_LIBRARY(LIBS bpp-qt Bpp/Qt/QtGraphicDevice.h)
 IMPROVED_FIND_LIBRARY(LIBS bpp-phyl Bpp/Phyl/Tree.h)
-#Not needed for now:
-#IMPROVED_FIND_LIBRARY(LIBS bpp-seq Bpp/Seq/Alphabet/Alphabet.h)
+IMPROVED_FIND_LIBRARY(LIBS bpp-seq Bpp/Seq/Alphabet/Alphabet.h)
 IMPROVED_FIND_LIBRARY(LIBS bpp-core Bpp/Clonable.h)
 
 # Find the Qt installation
@@ -110,6 +109,7 @@
   MESSAGE("   Adding targets: man")
 
   ADD_CUSTOM_TARGET(man
+    ALL
     COMMAND cp phyview.1.txt phyview.1
     COMMAND gzip -f phyview.1
     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/man
@@ -126,10 +126,10 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "bppphyview")
 SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
-SET(CPACK_PACKAGE_VERSION "0.2.0")
+SET(CPACK_PACKAGE_VERSION "0.2.1")
 SET(CPACK_PACKAGE_VERSION_MAJOR "0")
 SET(CPACK_PACKAGE_VERSION_MINOR "2")
-SET(CPACK_PACKAGE_VERSION_PATCH "0")
+SET(CPACK_PACKAGE_VERSION_PATCH "1")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Phylogenetic Viewer")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")

=== man/CMakeLists.txt ===
# CMake script for PhyView.
# Author: Julien Dutheil
# Created: 22/08/2009

IF(MAN)
  INSTALL(FILES phyview.1.gz DESTINATION share/man/man1)
ENDIF(MAN)

## bppphyview 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,6 +29,18 @@
       FORCE)
 ENDIF(NOT NO_DEP_CHECK)
 
+IF(NOT DOC_COMPRESS)
+  SET(DOC_COMPRESS gzip CACHE STRING
+      "Set program for compressing documentation."
+      FORCE)
+ENDIF(NOT DOC_COMPRESS)
+
+IF(NOT DOC_COMPRESS_EXT)
+  SET(DOC_COMPRESS_EXT gz CACHE STRING
+      "Set extension of compressed documentation."
+      FORCE)
+ENDIF(NOT DOC_COMPRESS_EXT)
+
 IF(NO_DEP_CHECK)
   MESSAGE("-- Dependencies checking disabled. Only distribution can be built.")
 ELSE(NO_DEP_CHECK)
@@ -50,7 +62,23 @@
 ENDIF(NOT DEFINED MAN)
 
 #find executables for documentation
-FIND_PROGRAM(NROFF_EXE NAMES nroff)
+IF(MAN)
+  FIND_PROGRAM(NROFF_EXE NAMES nroff)
+  IF(NROFF_EXE)
+    MESSAGE("-- Found nroff here: ${NROFF_EXE}")
+    MESSAGE("   Adding targets: man")
+
+    ADD_CUSTOM_TARGET(man
+      ALL
+      COMMAND cp phyview.1.txt phyview.1
+      COMMAND ${DOC_COMPRESS} -f phyview.1
+      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/man
+      )
+    SET_DIRECTORY_PROPERTIES(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES man/phyview.1.${DOC_COMPRESS_EXT})
+  ELSE()
+    MESSAGE(FATAL_ERROR "Program nroff required but not found.")
+  ENDIF()
+ENDIF(MAN)
 
 #here is a useful function:
 MACRO(IMPROVED_FIND_LIBRARY OUTPUT_LIBS lib_name include_to_find)
@@ -104,19 +132,6 @@
 INCLUDE(${QT_USE_FILE})
 SET(LIBS ${LIBS} ${QT_LIBRARIES})
 
-IF(NROFF_EXE)
-  MESSAGE("-- Found nroff here: ${NROFF_EXE}")
-  MESSAGE("   Adding targets: man")
-
-  ADD_CUSTOM_TARGET(man
-    ALL
-    COMMAND cp phyview.1.txt phyview.1
-    COMMAND gzip -f phyview.1
-    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/man
-    )
-  SET_DIRECTORY_PROPERTIES(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES man/phyview.1.gz)
-ENDIF(NROFF_EXE)
-
 # Subdirectories
 ADD_SUBDIRECTORY(bppPhyView)
 ADD_SUBDIRECTORY(man)
@@ -126,10 +141,10 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "bppphyview")
 SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
-SET(CPACK_PACKAGE_VERSION "0.2.1")
+SET(CPACK_PACKAGE_VERSION "0.3.0")
 SET(CPACK_PACKAGE_VERSION_MAJOR "0")
-SET(CPACK_PACKAGE_VERSION_MINOR "2")
-SET(CPACK_PACKAGE_VERSION_PATCH "1")
+SET(CPACK_PACKAGE_VERSION_MINOR "3")
+SET(CPACK_PACKAGE_VERSION_PATCH "0")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Phylogenetic Viewer")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")
@@ -151,7 +166,7 @@
  ".*moc_.*"
  "bppPhyView/\\\\..*"
  "bppPhyView/phyview"
- "man/.*\\\\.1.gz"
+ "man/.*\\\\.1.${DOC_COMPRESS_EXT}"
  "debian/tmp"
  "debian/bppphyview/"
  "debian/bppphyview\\\\.substvars"
@@ -171,6 +186,20 @@
 
 #This adds the 'dist' target
 ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
+# 'clean' is not (yet) a first class target. However, we need to clean the directories before building the sources:
+IF("${CMAKE_GENERATOR}" MATCHES "Make")
+  ADD_CUSTOM_TARGET(make_clean
+    COMMAND ${CMAKE_MAKE_PROGRAM} clean
+    WORKING_DIRECTORY ${CMAKE_CURRENT_DIR}
+  )
+  ADD_DEPENDENCIES(dist make_clean)
+
+  ADD_CUSTOM_TARGET(make_clean_man
+    COMMAND rm -f *.${DOC_COMPRESS_EXT}
+    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/man
+  )
+  ADD_DEPENDENCIES(dist make_clean_man)
+ENDIF()
 
 IF(NOT NO_DEP_CHECK)
 IF (UNIX)

=== bppPhyView/CMakeLists.txt ===
# CMake script for Bio++ PhyView
# Author: Julien Dutheil
# Created: 22/08/2009

set(phyview_SRCS
  PhyView.cpp
  TreeSubWindow.cpp
  TreeCommands.cpp
  )

set(phyview_MOC_HDRS
  PhyView.h
  TreeSubWindow.h
  )

set(phyview_HDRS
  TreeDocument.h
  TreeCommands.h
  )

qt4_wrap_cpp(phyview_MOC_SRCS ${phyview_MOC_HDRS})
add_executable(phyview ${phyview_SRCS} ${phyview_MOC_SRCS})
target_link_libraries(phyview ${LIBS})

# Install libs
install(TARGETS phyview DESTINATION bin)

=== man/CMakeLists.txt ===
# CMake script for PhyView.
# Author: Julien Dutheil
# Created: 22/08/2009

IF(MAN)
  INSTALL(FILES phyview.1.${DOC_COMPRESS_EXT} DESTINATION share/man/man1)
ENDIF(MAN)

=== debian/changelog ===
bppphyview (0.3.0-1) unstable; urgency=low

  * Compatibility update.
  * New option for header line in names translation.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Fri, 08 Mar 2013 14:55:00 +0100

bppphyview (0.2.1-1) unstable; urgency=low

  * Compatibility update.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 09 Feb 2012 21:38:00 +0100

=== debian/control ===
Source: bppphyview
Section: science
Priority: optional
Maintainer: Loic Dachary <loic@dachary.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>
Build-Depends: debhelper (>= 5), cmake (>= 2.6),
  qt4-qmake (>= 4.6.0), libqt4-dev (>= 4.6.0),
  libbpp-qt-dev (>= 2.1.0)
Standards-Version: 3.9.1

Package: bppphyview
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  libbpp-qt1 (>= 2.1.0), libqtcore4 (>= 4.6.0), libqtgui4 (>= 4.6.0) 
Description: Bio++ Phylogenetic Viewer
 A phylogenetic tree editor developed using Bio++ and Qt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# 25/03/10 Modification for use with CMake by Julien Dutheil.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure:
	cmake -DCMAKE_INSTALL_PREFIX=/usr .

config.status: configure
	dh_testdir

#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:  config.status

	# Add here commands to compile the arch part of the package.
	#$(MAKE) 
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:  config.status

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#
	rm -f CMakeCache.txt

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean;
	[ ! -f Makefile ] || rm Makefile;
	[ ! -f bppPhyView/Makefile ] || rm bppPhyView/Makefile;
	[ ! -f man/Makefile ] || rm man/Makefile;
	rm -f man/*.gz;
	rm -f config.sub config.guess
	rm -f build-stamp
	rm -f CMakeCache.txt
	rm -f *.cmake
	rm -f bppPhyView/*.cmake
	#rm -f test/*.cmake
	rm -f man/*.cmake
	#rm -f doc/*.cmake
	rm -rf CMakeFiles
	rm -rf bppPhyView/CMakeFiles
	#rm -rf test/CMakeFiles
	rm -rf man/CMakeFiles
	#rm -rf doc/CMakeFiles
	rm -rf _CPack_Packages
	#rm -rf Testing
	#rm -f DartConfiguration.tcl

	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_prep -i 
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_prep -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) DESTDIR=$(CURDIR)/debian/bppphyview man install

	dh_install -s
# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

## bppphyview 0.6.0

=== CMakeLists.txt ===
# CMake script for Bio++ PhyView
# Authors:
#   Julien Dutheil
#   Francois Gindraud (2017)
# Created: 22/08/2009

cmake_minimum_required (VERSION 2.8.11)
project (bppphyview CXX)

# Compile options
set (CMAKE_CXX_FLAGS "-std=c++11 -Wall")

IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

IF(NOT NO_DEP_CHECK)
  SET(NO_DEP_CHECK FALSE CACHE BOOL
      "Disable dependencies check for building distribution only."
      FORCE)
ENDIF(NOT NO_DEP_CHECK)

IF(NO_DEP_CHECK)
  MESSAGE(STATUS "Dependencies checking disabled. Only distribution can be built.")
ELSE(NO_DEP_CHECK)

#static linkage?
IF(NOT BUILD_STATIC)
  SET(BUILD_STATIC FALSE CACHE BOOL
      "Enable static linkage."
      FORCE)
ENDIF()
IF(BUILD_STATIC)
  MESSAGE(STATUS "Static linkage requested.")
  set (CMAKE_CXX_FLAGS "-static -static-libgcc ${CMAKE_CXX_FLAGS}")
ENDIF()

# Check compression program
# COMPRESS_PROGRAM controls the choice of program
# COMPRESS_EXT can be used to override the file extension
if (NOT COMPRESS_PROGRAM)
  set (COMPRESS_PROGRAM gzip CACHE STRING "Set program for compressing documentation" FORCE)
endif ()
find_program (COMPRESS_BIN NAMES ${COMPRESS_PROGRAM} DOC "${COMPRESS_PROGRAM} compression program")
if (NOT COMPRESS_BIN)
  message (STATUS "${COMPRESS_PROGRAM} program not found, text doc will not be compressed")
else ()
  # Deduce COMPRESS_EXT for known compression programs if not set
  if (NOT COMPRESS_EXT)
    if (${COMPRESS_PROGRAM} STREQUAL "gzip")
      set (COMPRESS_EXT "gz")
    elseif (${COMPRESS_PROGRAM} STREQUAL "bzip2")
      set (COMPRESS_EXT "bz2")
    else ()
      set (COMPRESS_EXT "${COMPRESS_PROGRAM}") # Default: program name (works for xz/lzma)
    endif ()
  endif ()
  # Generate command line args (always add -c to output compressed file to stdout)
  if (${COMPRESS_PROGRAM} STREQUAL "gzip")
    # -n for no timestamp in files (reproducible builds)
    # -9 for maximal compression (lintian warning)
    set (COMPRESS_ARGS -c -9 -n)
  else ()
    set (COMPRESS_ARGS -c)
  endif ()
  message (STATUS "Found ${COMPRESS_BIN} compression program, using file extension .${COMPRESS_EXT}")
endif ()

# Find dependencies (add install directory to search)
if (CMAKE_INSTALL_PREFIX)
  set (CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
endif (CMAKE_INSTALL_PREFIX)

include (GNUInstallDirs)
find_package (bpp-qt 2.0.0 REQUIRED)

# Find the Qt installation
set(CMAKE_AUTOMOC ON)
find_package (Qt5Widgets)
find_package (Qt5Core)
find_package (Qt5Gui)
find_package (Qt5PrintSupport)
set (qt-libs Qt5::Core Qt5::Gui Qt5::Widgets Qt5::PrintSupport)

# Subdirectories
add_subdirectory (bppPhyView)
add_subdirectory (man)

ENDIF(NO_DEP_CHECK)

# Packager
SET(CPACK_PACKAGE_NAME "bppphyview")
SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
SET(CPACK_PACKAGE_VERSION "0.6.0")
SET(CPACK_PACKAGE_VERSION_MAJOR "0")
SET(CPACK_PACKAGE_VERSION_MINOR "6")
SET(CPACK_PACKAGE_VERSION_PATCH "0")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Phylogenetic Viewer")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")
SET(CPACK_RESOURCE_FILE_INSTALL "${CMAKE_SOURCE_DIR}/INSTALL.txt")
SET(CPACK_SOURCE_GENERATOR "TGZ")
# /!\ This assumes that an external build is used
SET(CPACK_SOURCE_IGNORE_FILES 
       "/build/" 
       "/\\\\.git/" 
       "/\\\\.gitignore" 
       ${CPACK_SOURCE_IGNORE_FILES}
       )

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET(CPACK_DEBSOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}_${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}.orig")
INCLUDE(CPack)

#This adds the 'dist' target
ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

IF(NOT NO_DEP_CHECK)
IF (UNIX)

#This creates rpm packages:
ADD_CUSTOM_TARGET(rpm rpmbuild -ta ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz)
ADD_DEPENDENCIES(rpm dist man)

#ADD_DEPENDENCIES(info install)
ENDIF(UNIX)

ENDIF(NOT NO_DEP_CHECK)

=== debian/changelog ===
bppphyview (0.6.0-1) unstable; urgency=medium

  * New upstream version
  * Added full text of CeCILL license.
  * Compiles with -DCMAKE_BUILD_TYPE=RelWithDebInfo to generate debug info
  * Point Vcs-fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Wed, 18 Apr 2018 21:03:35 +0200

bppphyview (0.5.1-1) unstable; urgency=medium

  * New upstream version
    Closes: #868794, #868924, #871164
  * Take over to Debian Med team maintenance
  * cme fix dpkg-control
  * debhelper 10
  * DEP5
  * add watch file
  * d/rules: use dh
  * Fix manpage debhelper input
  * Adjust Build-Depends
  * Slightly enhance description
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 24 Aug 2017 22:42:28 +0200

bppphyview (0.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop superfluous hardcoded library dependencies.  (Closes: #825763)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 14 Jul 2016 14:07:15 +0200

=== debian/control ===
Source: bppphyview
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               cmake,
               qt5-qmake,
               qtdeclarative5-dev,
               libbpp-qt-dev (>= 2.4.0)
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/med-team/bppphyview
Vcs-Git: https://salsa.debian.org/med-team/bppphyview.git
Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page

Package: bppphyview
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Bio++ Phylogenetic Viewer
 A phylogenetic tree editor developed using Bio++ and Qt.  Phyview allows one
 to visualize, edit, print and output phylogenetic trees and associated data.

=== debian/watch ===
version=4

https://github.com/BioPP/bppphyview/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## bppphyview 0.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -93,10 +93,10 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "bppphyview")
 SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
-SET(CPACK_PACKAGE_VERSION "0.6.0")
+SET(CPACK_PACKAGE_VERSION "0.6.1")
 SET(CPACK_PACKAGE_VERSION_MAJOR "0")
 SET(CPACK_PACKAGE_VERSION_MINOR "6")
-SET(CPACK_PACKAGE_VERSION_PATCH "0")
+SET(CPACK_PACKAGE_VERSION_PATCH "1")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Phylogenetic Viewer")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")

=== bppPhyView/CMakeLists.txt ===
# CMake script for Bio++ PhyView
# Authors:
#   Julien Dutheil
#   Francois Gindraud (2017)
# Created: 22/08/2009

set (CPP_FILES
  PhyView.cpp
  TreeSubWindow.cpp
  TreeCommands.cpp
  )
set (H_MOC_FILES
  PhyView.h
  TreeSubWindow.h
  )

# Phyview
add_executable (phyview ${CPP_FILES} ${CPP_FILES})
if (BUILD_STATIC)
  target_link_libraries (phyview ${BPP_LIBS_STATIC} ${qt-libs})
else (BUILD_STATIC)
  target_link_libraries (phyview ${BPP_LIBS_SHARED} ${qt-libs})
endif (BUILD_STATIC)

install (TARGETS phyview DESTINATION ${CMAKE_INSTALL_BINDIR})

=== man/CMakeLists.txt ===
# CMake script for PhyView.
# Authors:
#   Julien Dutheil
#   Francois gindraud (2017)
# Created: 22/08/2009

# Build manpages.
# In practice, they are just compressed from the text files using COMPRESS_PROGRAM
# Manpages are built and installed as part of "all" if a COMPRESS_PROGRAM is found.

# Take all manpages files in the directory
file (GLOB manpage_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.1)

if (NOT COMPRESS_BIN)
  # Just install manpages from source
  foreach (manpage_file ${manpage_files})
    install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/${manpage_file} DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
  endforeach (manpage_file)
else ()
  # Create a list of manpage targets
  set (manpage-targets)

  foreach (manpage_file ${manpage_files})
    # Compress manpage, install, add to manpage target list
    set (input ${CMAKE_CURRENT_SOURCE_DIR}/${manpage_file})
    set (output ${CMAKE_CURRENT_BINARY_DIR}/${manpage_file}.${COMPRESS_EXT})
    add_custom_command (
      OUTPUT ${output}
      COMMAND ${COMPRESS_BIN} ${COMPRESS_ARGS} ${input} > ${output}
      DEPENDS ${input}
      COMMENT "Compressing manpage ${manpage_file}"
      VERBATIM
      )
    install (FILES ${output} DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
    list (APPEND manpage-targets ${output})
    unset (input)
    unset (output)
  endforeach (manpage_file)

  # Add target "man", built with "all" (needed because install will fail if not built).
  add_custom_target (man ALL DEPENDS ${manpage-targets})
endif ()

=== debian/changelog ===
bppphyview (0.6.1-6) unstable; urgency=medium

  * Fix build with CMake 4
    Closes: #1112732
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Oct 2025 10:10:53 +0200

bppphyview (0.6.1-5) unstable; urgency=medium

  * Team upload.
  * Added patch to not shadow dpkg-buildflags.
  * d/rules: no need to specify RelWithDebInfo to get debug info.
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 25 Mar 2024 11:36:24 +0100

bppphyview (0.6.1-4) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 01 Nov 2022 19:52:28 +0100

bppphyview (0.6.1-3) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 12:23:17 +0200

bppphyview (0.6.1-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * Remove trailing whitespace in debian/copyright
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit.
  * Refer to specific version of license GPL-2+.
  * Avoid multiple definitions for manpage

 -- Andreas Tille <tille@debian.org>  Wed, 18 Nov 2020 09:23:23 +0100

bppphyview (0.6.1-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream version
    Closes: #874835
  * Compatibility with Bio++ 2.4.1.

  [ Andreas Tille ]
  * Standards-Version: 4.2.1

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 27 Aug 2018 08:57:24 +0200

=== debian/control ===
Source: bppphyview
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Julien Dutheil <julien.dutheil@univ-montp2.fr>,
 Andreas Tille <tille@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 qt5-qmake,
 qtdeclarative5-dev,
 libbpp-qt-dev,
Vcs-Browser: https://salsa.debian.org/med-team/bppphyview
Vcs-Git: https://salsa.debian.org/med-team/bppphyview.git
Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
Rules-Requires-Root: no

Package: bppphyview
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Bio++ Phylogenetic Viewer
 A phylogenetic tree editor developed using Bio++ and Qt.  Phyview allows one
 to visualize, edit, print and output phylogenetic trees and associated data.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_installman:
	# Deal with
	# dh_installman: warning: Multiple definitions for manpage via different compressions.  Please ensure there is at most one definition.
	# dh_installman: error: This feature was removed in compat 13.
	gunzip -r obj-*/man/*
	find debian -name phyview.1.gz -delete
	dh_installman

=== debian/watch ===
Version: 5

Template: Github
Owner: BioPP
Project: bppphyview
